# Uses of Interface
com.logicaldoc.core.security.user.UserDAO

Packages that use UserDAO
Package
Description
com.logicaldoc.core.security
Container of the security-related interfaces and classes
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of UserDAO in com.logicaldoc.core.security

Methods in com.logicaldoc.core.security with parameters of type UserDAO
Modifier and Type
Method
Description
`void`
HibernateDeviceDAO.`setUserDAO(UserDAO userDAO)`

## Uses of UserDAO in com.logicaldoc.core.security.user

Classes in com.logicaldoc.core.security.user that implement UserDAO
Modifier and Type
Class
Description
`class`
`HibernateUserDAO`
Hibernate implementation of `UserDAO`
Methods in com.logicaldoc.core.security.user that return UserDAO
Modifier and Type
Method
Description
`static UserDAO`
UserDAO.`get()`
Gets the object available in the application context